Get a contact's last activity by contact key
GET
/api/v3/contacts/keyed/{contactKey}/last-active
const url = 'https://api.tryletterhead.com/api/v3/contacts/keyed/example/last-active?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/contacts/keyed/example/last-active?api=true' \ --header 'Authorization: Bearer <token>'Same as Get a contactβs last activity (GET /api/v3/contacts/{email}/last-active), with the contact addressed by its contactKey instead of its email address.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βPath Parameters
Section titled βPath Parameters β contactKey
required
string
The contactβs opaque 64-character hex key.
Query Parameters
Section titled βQuery Parameters β api
required
boolean
Required. Set to true.
Responses
Section titled β Responses β200 OK. Same shape as GET /api/v3/contacts/{email}/last-active.
Media type application/json
object
items
Full field list under GET /api/v3/contacts/{email}/last-active.
object
message
string
total
integer
Example generated
{ "items": {}, "message": "example", "total": 1}Still can’t find what you need? Contact support.